expand use of varargs in the runtime
Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 16.00 hours

Target version:    

billable: No version:  

vendor_id: GCD   

Description

History

#1 - 10/30/2012 12:20 PM - Eric Faulhaber

There are a number of places in the runtime where the use of variable argument lists would improve the readability of the business logic.  We need to

identify these places (typically, where we have arrays of Object or other types today) and determine the feasibility of replacing the current APIs with

ones that support varargs.  For this, we need to determine whether each API can be supported such that the varargs list is at the end of the

parameters without making the API ambiguous.  Of course, the rules which convert code that uses these APIs would have to be changed accordingly.

#2 - 10/31/2012 03:31 PM - Greg Shah

- Target version set to Code Improvements

#3 - 11/16/2016 12:46 PM - Greg Shah

- Target version deleted (Code Improvements)
